﻿using System;
using System.IO;
using OpenCvSharp;

namespace OpenCvTest
{
  class Program
  {
    static void Main(string[] args)
    {
      if (args.Length < 1)
        Console.WriteLine("Please specify a filename");
      else
      {
        string inputFileName = args[0];
        string outputFileName = $"{Path.GetFileNameWithoutExtension(inputFileName)}-gray.jpg";
        using (var image = new Mat(inputFileName))
          using (var gray = image.CvtColor(ColorConversionCodes.BGR2GRAY))
            gray.SaveImage(outputFileName);
      }
    }
  }
}
